<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns="http://www.w3.org/1999/xhtml">
	<rich:panel id="listparnt"
		rendered="#{testInstanceManager.selectedTestInstance != null}">
		<f:facet name="header">#{messages['gazelle.simulator.ListOfPartners']}</f:facet>
		<table style="width: 95%">
			<tr>
				<td style="width: 25%; vertical-align: top;"><br /> <rich:tree
						id="treeOfPartner"
						value="#{testInstanceManager.getListOfPartnerTree()}"
						var="node.data" style="vertical-align:top"
						nodeType="#{node.data.class.simpleName}" toggleType="client">
						<rich:treeNode type="TestInstanceParticipants"
							iconLeaf="/img/systems.gif" width="15" height="15"
							iconExpanded="/img/systems.gif" iconCollapsed="/img/systems.gif">
							<a4j:commandLink id="ViewConfOfTIP"
								onclick="#{rich:component('panelLoading')}.show();"
								actionListener="#{testInstanceManager.initSelectedTestInstanceParticipants(node.data)}"
								oncomplete="#{rich:component('panelLoading')}.hide();"
								render="TIContentDiv">
								<h:outputText value="#{node.data.system.keyword}"
									style="font-weight:bold;"
									rendered="#{node.data.equals(testInstanceManager.selectedTestInstanceParticipants)}"></h:outputText>
								<h:outputText value="#{node.data.system.keyword}"
									rendered="#{!node.data.equals(testInstanceManager.selectedTestInstanceParticipants)}"></h:outputText>
							</a4j:commandLink>
						</rich:treeNode>
						<rich:treeNode type="DicomSCPConfiguration"
							iconLeaf="/img/config.gif" width="15" height="15"
							iconExpanded="/img/config.gif" iconCollapsed="/img/config.gif">
							<a4j:commandLink
								onclick="#{rich:component('panelLoading')}.show();"
								actionListener="#{testInstanceManager.initSelectedDicomSCPConfiguration(node.data)}"
								oncomplete="#{rich:component('panelLoading')}.hide();"
								render="TIContentDiv">
								<h:outputText
									value="#{messages['net.ihe.gazelle.simulators.DicomSCPConfiguration']}"
									style="font-weight:bold;"
									rendered="#{node.data.equals(testInstanceManager.selectedDicomSCPConfiguration)}"></h:outputText>
								<h:outputText
									value="#{messages['net.ihe.gazelle.simulators.DicomSCUConfiguration']}"
									rendered="#{!node.data.equals(testInstanceManager.selectedDicomSCPConfiguration)}"></h:outputText>
							</a4j:commandLink>
						</rich:treeNode>
						<rich:treeNode type="DicomSCUConfiguration"
							iconLeaf="/img/config.gif" width="15" height="15"
							iconExpanded="/img/config.gif" iconCollapsed="/img/config.gif">
							<a4j:commandLink
								onclick="#{rich:component('panelLoading')}.show();"
								actionListener="#{testInstanceManager.initSelectedDicomSCUConfiguration(node.data)}"
								oncomplete="#{rich:component('panelLoading')}.hide();"
								render="TIContentDiv">
								<h:outputText
									value="#{messages['net.ihe.gazelle.simulators.DicomSCUConfiguration']}"
									style="font-weight:bold;"
									rendered="#{node.data.equals(testInstanceManager.selectedDicomSCUConfiguration)}"></h:outputText>
								<h:outputText
									value="#{messages['net.ihe.gazelle.simulators.DicomSCUConfiguration']}"
									rendered="#{!node.data.equals(testInstanceManager.selectedDicomSCUConfiguration)}"></h:outputText>
							</a4j:commandLink>
						</rich:treeNode>
						<rich:treeNode type="HL7V2InitiatorConfiguration"
							iconLeaf="/img/config.gif" width="15" height="15"
							iconExpanded="/img/config.gif" iconCollapsed="/img/config.gif">
							<a4j:commandLink
								onclick="#{rich:component('panelLoading')}.show();"
								actionListener="#{testInstanceManager.initSelectedHL7V2InitiatorConfiguration(node.data)}"
								oncomplete="#{rich:component('panelLoading')}.hide();"
								render="TIContentDiv">
								<h:outputText
									value="#{messages['net.ihe.gazelle.simulators.HL7V2InitiatorConfiguration']}"
									style="font-weight:bold;"
									rendered="#{node.data.equals(testInstanceManager.selectedHL7V2InitiatorConfiguration)}"></h:outputText>
								<h:outputText
									value="#{messages['net.ihe.gazelle.simulators.HL7V2InitiatorConfiguration']}"
									rendered="#{!node.data.equals(testInstanceManager.selectedHL7V2InitiatorConfiguration)}"></h:outputText>
							</a4j:commandLink>
						</rich:treeNode>
						<rich:treeNode type="HL7V2ResponderConfiguration"
							iconLeaf="/img/config.gif" width="15" height="15"
							iconExpanded="/img/config.gif" iconCollapsed="/img/config.gif">
							<a4j:commandLink
								onclick="#{rich:component('panelLoading')}.show();"
								actionListener="#{testInstanceManager.initSelectedHL7V2ResponderConfiguration(node.data)}"
								oncomplete="#{rich:component('panelLoading')}.hide();"
								render="TIContentDiv">
								<h:outputText
									value="#{messages['net.ihe.gazelle.simulators.HL7V2ResponderConfiguration']}"
									style="font-weight:bold;"
									rendered="#{node.data.equals(testInstanceManager.selectedHL7V2ResponderConfiguration)}"></h:outputText>
								<h:outputText
									value="#{messages['net.ihe.gazelle.simulators.HL7V2ResponderConfiguration']}"
									rendered="#{!node.data.equals(testInstanceManager.selectedHL7V2ResponderConfiguration)}"></h:outputText>
							</a4j:commandLink>
						</rich:treeNode>
						<rich:treeNode type="HL7V3InitiatorConfiguration"
							iconLeaf="/img/config.gif" width="15" height="15"
							iconExpanded="/img/config.gif" iconCollapsed="/img/config.gif">
							<a4j:commandLink
								onclick="#{rich:component('panelLoading')}.show();"
								actionListener="#{testInstanceManager.initSelectedHL7V3InitiatorConfiguration(node.data)}"
								oncomplete="#{rich:component('panelLoading')}.hide();"
								render="TIContentDiv">
								<h:outputText
									value="#{messages['net.ihe.gazelle.simulators.HL7V3InitiatorConfiguration']}"
									style="font-weight:bold;"
									rendered="#{node.data.equals(testInstanceManager.selectedHL7V3InitiatorConfiguration)}"></h:outputText>
								<h:outputText
									value="#{messages['net.ihe.gazelle.simulators.HL7V3InitiatorConfiguration']}"
									rendered="#{!node.data.equals(testInstanceManager.selectedHL7V3InitiatorConfiguration)}"></h:outputText>
							</a4j:commandLink>
						</rich:treeNode>
						<rich:treeNode type="HL7V3ResponderConfiguration"
							iconLeaf="/img/config.gif" width="15" height="15"
							iconExpanded="/img/config.gif" iconCollapsed="/img/config.gif">
							<a4j:commandLink
								onclick="#{rich:component('panelLoading')}.show();"
								actionListener="#{testInstanceManager.initSelectedHL7V3ResponderConfiguration(node.data)}"
								oncomplete="#{rich:component('panelLoading')}.hide();"
								render="TIContentDiv">
								<h:outputText
									value="#{messages['net.ihe.gazelle.simulators.HL7V3ResponderConfiguration']}"
									style="font-weight:bold;"
									rendered="#{node.data.equals(testInstanceManager.selectedHL7V3ResponderConfiguration)}"></h:outputText>
								<h:outputText
									value="#{messages['net.ihe.gazelle.simulators.HL7V3ResponderConfiguration']}"
									rendered="#{!node.data.equals(testInstanceManager.selectedHL7V3ResponderConfiguration)}"></h:outputText>
							</a4j:commandLink>
						</rich:treeNode>
						<rich:treeNode type="WebServiceConfiguration"
							iconLeaf="/img/config.gif" width="15" height="15"
							iconExpanded="/img/config.gif" iconCollapsed="/img/config.gif">
							<a4j:commandLink
								onclick="#{rich:component('panelLoading')}.show();"
								actionListener="#{testInstanceManager.initSelectedWebServiceConfiguration(node.data)}"
								oncomplete="#{rich:component('panelLoading')}.hide();"
								render="TIContentDiv">
								<h:outputText
									value="#{messages['net.ihe.gazelle.simulators.WebServiceConfiguration']}"
									style="font-weight:bold;"
									rendered="#{node.data.equals(testInstanceManager.selectedWebServiceConfiguration)}"></h:outputText>
								<h:outputText
									value="#{messages['net.ihe.gazelle.simulators.WebServiceConfiguration']}"
									rendered="#{!node.data.equals(testInstanceManager.selectedWebServiceConfiguration)}"></h:outputText>
							</a4j:commandLink>
						</rich:treeNode>
					</rich:tree></td>
				<td style="width: 75%; vertical-align: top;"><s:div
						id="TIPConfDiv">
						<rich:tabPanel
							rendered="#{(testInstanceManager.selectedTestInstanceParticipants != null) and (testInstanceManager.showSystemProperties)}"
							switchType="client">
							<rich:tab id="tabForAIPO"
								rendered="#{testInstanceManager.selectedTestInstanceParticipants.actorIntegrationProfileOption != null}"
								header="#{messages['net.ihe.gazelle.simulators.AIPO']}">
								<s:decorate id="ProfTIP" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Profile']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedTestInstanceParticipants.actorIntegrationProfileOption.actorIntegrationProfile.integrationProfile.keyword}"></h:outputText>
								</s:decorate>
								<s:decorate id="ActorTIP" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Actor']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedTestInstanceParticipants.actorIntegrationProfileOption.actorIntegrationProfile.actor.keyword}"></h:outputText>
								</s:decorate>
								<s:decorate id="OptionTIP" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Option']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedTestInstanceParticipants.actorIntegrationProfileOption.integrationProfileOption.keyword}"></h:outputText>
								</s:decorate>
							</rich:tab>
							<rich:tab id="tabForSystem"
								rendered="#{testInstanceManager.selectedTestInstanceParticipants.system != null}"
								header="#{messages['gazelle.simulator.System']}">
								<s:decorate id="SystemInst" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Institution']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedTestInstanceParticipants.system.institutionKeyword}"></h:outputText>
								</s:decorate>
								<s:decorate id="SystemKey" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.System']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedTestInstanceParticipants.system.keyword}"></h:outputText>
								</s:decorate>
								<s:decorate id="systemOwnerDec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.SystemOwner']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedTestInstanceParticipants.system.systemOwner}"></h:outputText>
								</s:decorate>
							</rich:tab>
							<rich:tab
								rendered="#{testInstanceManager.selectedTestInstanceParticipants.system != null}"
								header="#{messages['net.ihe.gazelle.simulators.OIDs']}">
								<rich:dataTable id="oidtab" var="currentOIDConf"
									value="#{testInstanceManager.selectedTestInstanceParticipants.system.oidConfigurationList}"
									rowKeyVar="rowNumber"
									rows="7">
									<g:column>
										<ui:define name="header">#{messages['net.ihe.gazelle.simulators.Id']}</ui:define>
										<h:outputText value="#{currentOIDConf.id}"></h:outputText>
									</g:column>
									<g:column>
										<ui:define name="header">#{messages['net.ihe.gazelle.simulators.Label']}</ui:define>
										<h:outputText value="#{currentOIDConf.label}"></h:outputText>
									</g:column>
									<g:column>
										<ui:define name="header">#{messages['net.ihe.gazelle.simulators.OID']}</ui:define>
										<h:outputText value="#{currentOIDConf.oid}"></h:outputText>
									</g:column>
									<f:facet name="footer">
										<rich:dataScroller maxPages="5" renderIfSinglePage="false"></rich:dataScroller>
									</f:facet>
								</rich:dataTable>
							</rich:tab>
						</rich:tabPanel>
						<rich:tabPanel
							rendered="#{(testInstanceManager.selectedHL7V2InitiatorConfiguration != null) and (testInstanceManager.showHL7V2InitiatorProperties)}"
							switchType="client">
							<rich:tab id="tabForInitC"
								header="#{messages['gazelle.simulator.SystemInitiatorConfiguration']}">
								<s:decorate id="SInAppDec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.SRApplication']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V2InitiatorConfiguration.sendingReceivingApplication}"></h:outputText>
								</s:decorate>
								<s:decorate id="SInFaciDec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.SRFacility']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V2InitiatorConfiguration.sendingReceivingFacility}"></h:outputText>
								</s:decorate>
								<s:decorate id="AAuthDecInit" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.AssigningAuthority']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V2InitiatorConfiguration.assigningAuthority}"></h:outputText>
								</s:decorate>
							</rich:tab>
							<rich:tab id="tabForNetCInit"
								header="#{messages['gazelle.simulator.NetworkInitiatorConfiguration']}">
								<s:decorate id="isSecuredDecInit"
									template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Secured']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V2InitiatorConfiguration.configuration.isSecured}"></h:outputText>
								</s:decorate>
								<s:decorate id="isApprovedDecIn"
									template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Approved']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V2InitiatorConfiguration.configuration.isApproved}"></h:outputText>
								</s:decorate>
								<s:div id="hostConfInit"
									rendered="#{testInstanceManager.selectedHL7V2InitiatorConfiguration.configuration.host != null}">
									<s:decorate id="aliasDecInit" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.Alias']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedHL7V2InitiatorConfiguration.configuration.host.alias}"></h:outputText>
									</s:decorate>
									<s:decorate id="hostnameDecIn" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.HostName']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedHL7V2InitiatorConfiguration.configuration.host.hostname}"></h:outputText>
									</s:decorate>
									<s:decorate id="IPAddDecIn" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.IP']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedHL7V2InitiatorConfiguration.configuration.host.ip}"></h:outputText>
									</s:decorate>
								</s:div>
							</rich:tab>
						</rich:tabPanel>
						<rich:tabPanel
							rendered="#{(testInstanceManager.selectedHL7V2ResponderConfiguration != null) and (testInstanceManager.showHL7V2ResponderProperties)}"
							switchType="client">
							<rich:tab id="tabForRespC"
								header="#{messages['gazelle.simulator.SystemResponderConfiguration']}">
								<s:decorate id="SRAppDec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.SRApplication']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V2ResponderConfiguration.sendingReceivingApplication}"></h:outputText>
								</s:decorate>
								<s:decorate id="SRFaciDec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.SRFacility']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V2ResponderConfiguration.sendingReceivingFacility}"></h:outputText>
								</s:decorate>
								<s:decorate id="AAuthDec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.AssigningAuthority']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V2ResponderConfiguration.assigningAuthority}"></h:outputText>
								</s:decorate>
								<s:decorate id="PortDec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Port']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V2ResponderConfiguration.port}"></h:outputText>
								</s:decorate>
								<s:decorate id="PortOutDec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.PortOut']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V2ResponderConfiguration.portOut}"></h:outputText>
								</s:decorate>
								<s:decorate id="PortSecDec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.PortSecured']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V2ResponderConfiguration.portSecured}"></h:outputText>
								</s:decorate>
							</rich:tab>
							<rich:tab id="tabForNetC"
								header="#{messages['gazelle.simulator.NetworkResponderConfiguration']}">
								<s:decorate id="isSecuredDec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Secured']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V2ResponderConfiguration.configuration.isSecured}"></h:outputText>
								</s:decorate>
								<s:decorate id="isApprovedDec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Approved']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V2ResponderConfiguration.configuration.isApproved}"></h:outputText>
								</s:decorate>
								<s:div id="hostConf"
									rendered="#{testInstanceManager.selectedHL7V2ResponderConfiguration.configuration.host != null}">
									<s:decorate id="aliasDec" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.Alias']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedHL7V2ResponderConfiguration.configuration.host.alias}"></h:outputText>
									</s:decorate>
									<s:decorate id="hostnameDec" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.HostName']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedHL7V2ResponderConfiguration.configuration.host.hostname}"></h:outputText>
									</s:decorate>
									<s:decorate id="IPAddDec" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.IP']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedHL7V2ResponderConfiguration.configuration.host.ip}"></h:outputText>
									</s:decorate>
								</s:div>
							</rich:tab>
						</rich:tabPanel>
						<rich:tabPanel
							rendered="#{(testInstanceManager.selectedHL7V3InitiatorConfiguration != null) and (testInstanceManager.showHL7V3InitiatorProperties)}"
							switchType="client">
							<rich:tab id="hl7v3Initsys"
								header="#{messages['gazelle.simulator.SystemHL7V3InitiatorConfiguration']}">
								<s:decorate id="SInv3init" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.SRApplication']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3InitiatorConfiguration.sendingReceivingApplication}"></h:outputText>
								</s:decorate>
								<s:decorate id="Sv3intFaciDec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.SRFacility']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3InitiatorConfiguration.sendingReceivingFacility}"></h:outputText>
								</s:decorate>
								<s:decorate id="AAuthDecv3Init" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.AssigningAuthority']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3InitiatorConfiguration.assigningAuthority}"></h:outputText>
								</s:decorate>
							</rich:tab>
							<rich:tab id="tabForNetv3init"
								header="#{messages['gazelle.simulator.NetworkHL7V3InitiatorConfiguration']}">
								<s:decorate id="v3initsec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Secured']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3InitiatorConfiguration.configuration.isSecured}"></h:outputText>
								</s:decorate>
								<s:decorate id="v3initapp" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Approved']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3InitiatorConfiguration.configuration.isApproved}"></h:outputText>
								</s:decorate>
								<s:div id="hostv3init"
									rendered="#{testInstanceManager.selectedHL7V3InitiatorConfiguration.configuration.host != null}">
									<s:decorate id="aliasv3init" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.Alias']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedHL7V3InitiatorConfiguration.configuration.host.alias}"></h:outputText>
									</s:decorate>
									<s:decorate id="hostnamev3init"
										template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.HostName']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedHL7V3InitiatorConfiguration.configuration.host.hostname}"></h:outputText>
									</s:decorate>
									<s:decorate id="v3initIP" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.IP']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedHL7V3InitiatorConfiguration.configuration.host.ip}"></h:outputText>
									</s:decorate>
								</s:div>
							</rich:tab>
						</rich:tabPanel>
						<rich:tabPanel
							rendered="#{(testInstanceManager.selectedHL7V3ResponderConfiguration != null) and (testInstanceManager.showHL7V3ResponderProperties)}"
							switchType="client">
							<rich:tab id="hl7v3Respsys"
								header="#{messages['gazelle.simulator.SystemHL7V3ResponderConfiguration']}">
								<s:decorate id="SInv3ersp" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.SRApplication']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3ResponderConfiguration.sendingReceivingApplication}"></h:outputText>
								</s:decorate>
								<s:decorate id="Sv3respFaciDec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.SRFacility']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3ResponderConfiguration.sendingReceivingFacility}"></h:outputText>
								</s:decorate>
								<s:decorate id="AAuthDecv3resp" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.AssigningAuthority']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3ResponderConfiguration.assigningAuthority}"></h:outputText>
								</s:decorate>
								<s:decorate id="PortDec3res" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Port']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3ResponderConfiguration.port}"></h:outputText>
								</s:decorate>
								<s:decorate id="PortSecDec3res" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.PortSecured']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3ResponderConfiguration.portSecured}"></h:outputText>
								</s:decorate>
								<s:decorate id="urlDec3res" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.URL']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3ResponderConfiguration.url}"></h:outputText>
								</s:decorate>
								<s:decorate id="usagDec3res" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Usage']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3ResponderConfiguration.usage}"></h:outputText>
								</s:decorate>
								<s:decorate id="commentDec3res" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Comment']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3ResponderConfiguration.comments}"></h:outputText>
								</s:decorate>
							</rich:tab>
							<rich:tab id="tabForNetv3resp"
								rendered="#{testInstanceManager.selectedHL7V3ResponderConfiguration != null}"
								header="#{messages['gazelle.simulator.NetworkHL7V3ResponderConfiguration']}">
								<s:decorate id="v3respsec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Secured']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3ResponderConfiguration.configuration.isSecured}"></h:outputText>
								</s:decorate>
								<s:decorate id="v3respapp" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Approved']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedHL7V3ResponderConfiguration.configuration.isApproved}"></h:outputText>
								</s:decorate>
								<s:div id="hostv3resp"
									rendered="#{testInstanceManager.selectedHL7V3ResponderConfiguration.configuration.host != null}">
									<s:decorate id="aliasv3resp" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.Alias']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedHL7V3ResponderConfiguration.configuration.host.alias}"></h:outputText>
									</s:decorate>
									<s:decorate id="hostnamev3resp"
										template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.HostName']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedHL7V3ResponderConfiguration.configuration.host.hostname}"></h:outputText>
									</s:decorate>
									<s:decorate id="v3respIP" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.IP']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedHL7V3ResponderConfiguration.configuration.host.ip}"></h:outputText>
									</s:decorate>
								</s:div>
							</rich:tab>
						</rich:tabPanel>
						<rich:tabPanel
							rendered="#{(testInstanceManager.selectedDicomSCPConfiguration != null) and (testInstanceManager.showDicomSCPProperties)}"
							switchType="client">
							<rich:tab id="SCPtabSYS"
								header="#{messages['gazelle.simulator.SystemSCPConfiguration']}">
								<s:decorate id="AETdecSCP" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.AETitle']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedDicomSCPConfiguration.aeTitle}"></h:outputText>
								</s:decorate>
								<s:decorate id="TrRolDecSCP" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.TransferRole']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedDicomSCPConfiguration.transferRole}"></h:outputText>
								</s:decorate>
								<s:decorate id="ModTypDecSCP" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.ModalityType']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedDicomSCPConfiguration.modalityType}"></h:outputText>
								</s:decorate>
								<s:decorate id="PorDecSCP" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Port']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedDicomSCPConfiguration.port}"></h:outputText>
								</s:decorate>
								<s:decorate id="PorSecDecSCP" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.PortSecured']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedDicomSCPConfiguration.portSecured}"></h:outputText>
								</s:decorate>
							</rich:tab>
							<rich:tab id="tabForNetDSCP"
								header="#{messages['gazelle.simulator.NetworkSCPConfiguration']}">
								<s:decorate id="SCPsec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Secured']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedDicomSCPConfiguration.configuration.isSecured}"></h:outputText>
								</s:decorate>
								<s:decorate id="SCPapp" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Approved']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedDicomSCPConfiguration.configuration.isApproved}"></h:outputText>
								</s:decorate>
								<s:div id="hostSCP"
									rendered="#{testInstanceManager.selectedDicomSCPConfiguration.configuration.host != null}">
									<s:decorate id="aliasSCP" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.Alias']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedDicomSCPConfiguration.configuration.host.alias}"></h:outputText>
									</s:decorate>
									<s:decorate id="hostnameSCP" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.HostName']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedDicomSCPConfiguration.configuration.host.hostname}"></h:outputText>
									</s:decorate>
									<s:decorate id="ISCPIP" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.IP']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedDicomSCPConfiguration.configuration.host.ip}"></h:outputText>
									</s:decorate>
								</s:div>
							</rich:tab>
						</rich:tabPanel>
						<rich:tabPanel
							rendered="#{(testInstanceManager.selectedDicomSCUConfiguration != null) and (testInstanceManager.showDicomSCUProperties)}"
							switchType="client">
							<rich:tab id="SCUtabSYS"
								header="#{messages['gazelle.simulator.SystemSCUConfiguration']}">
								<s:decorate id="AETdecSCU" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.AETitle']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedDicomSCUConfiguration.aeTitle}"></h:outputText>
								</s:decorate>
								<s:decorate id="TrRolDecSCU" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.TransferRole']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedDicomSCUConfiguration.transferRole}"></h:outputText>
								</s:decorate>
								<s:decorate id="ModTypDec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.ModalityType']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedDicomSCUConfiguration.modalityType}"></h:outputText>
								</s:decorate>
								<s:decorate id="PorDecSCU" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Port']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedDicomSCUConfiguration.port}"></h:outputText>
								</s:decorate>
								<s:decorate id="PorSecDecSCU" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.PortSecured']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedDicomSCUConfiguration.portSecured}"></h:outputText>
								</s:decorate>
							</rich:tab>
							<rich:tab id="tabForNetDSCU"
								header="#{messages['gazelle.simulator.NetworkSCUConfiguration']}">
								<s:decorate id="SCUsec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Secured']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedDicomSCUConfiguration.configuration.isSecured}"></h:outputText>
								</s:decorate>
								<s:decorate id="SCUapp" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Approved']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedDicomSCUConfiguration.configuration.isApproved}"></h:outputText>
								</s:decorate>
								<s:div id="hostSCU"
									rendered="#{testInstanceManager.selectedDicomSCUConfiguration.configuration.host != null}">
									<s:decorate id="aliasSCU" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.Alias']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedDicomSCUConfiguration.configuration.host.alias}"></h:outputText>
									</s:decorate>
									<s:decorate id="hostnameSCU" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.HostName']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedDicomSCUConfiguration.configuration.host.hostname}"></h:outputText>
									</s:decorate>
									<s:decorate id="ISCUIP" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.IP']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedDicomSCUConfiguration.configuration.host.ip}"></h:outputText>
									</s:decorate>
								</s:div>
							</rich:tab>
						</rich:tabPanel>
						<rich:tabPanel
							rendered="#{(testInstanceManager.selectedWebServiceConfiguration != null) and (testInstanceManager.showWebServiceProperties)}"
							switchType="client">
							<rich:tab id="hl7v3wspsys"
								header="#{messages['gazelle.simulator.SystemWSConfiguration']}">
								<s:decorate id="AAuthDecws" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.AssigningAuthority']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedWebServiceConfiguration.assigningAuthority}"></h:outputText>
								</s:decorate>
								<s:decorate id="PortDecws" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Port']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedWebServiceConfiguration.port}"></h:outputText>
								</s:decorate>
								<s:decorate id="PortSecDecws" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.PortSecured']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedWebServiceConfiguration.portSecured}"></h:outputText>
								</s:decorate>
								<s:decorate id="urlDecws" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.URL']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedWebServiceConfiguration.url}"></h:outputText>
								</s:decorate>
								<s:decorate id="usagDecws" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Usage']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedWebServiceConfiguration.usage}"></h:outputText>
								</s:decorate>
								<s:decorate id="commentDecws" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Comment']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedWebServiceConfiguration.comments}"></h:outputText>
								</s:decorate>
							</rich:tab>
							<rich:tab id="tabForNetws"
								header="#{messages['gazelle.simulator.NetworkWSConfiguration']}">
								<s:decorate id="wssec" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Secured']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedWebServiceConfiguration.configuration.isSecured}"></h:outputText>
								</s:decorate>
								<s:decorate id="wsapp" template="/layout/display.xhtml">
									<ui:define name="label">#{messages['gazelle.simulator.Approved']}</ui:define>
									<h:outputText
										value="#{testInstanceManager.selectedWebServiceConfiguration.configuration.isApproved}"></h:outputText>
								</s:decorate>
								<s:div id="hostws"
									rendered="#{testInstanceManager.selectedWebServiceConfiguration.configuration.host != null}">
									<s:decorate id="aliasws" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.Alias']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedWebServiceConfiguration.configuration.host.alias}"></h:outputText>
									</s:decorate>
									<s:decorate id="hostnamews" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.HostName']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedWebServiceConfiguration.configuration.host.hostname}"></h:outputText>
									</s:decorate>
									<s:decorate id="wsIP" template="/layout/display.xhtml">
										<ui:define name="label">#{messages['gazelle.simulator.IP']}</ui:define>
										<h:outputText
											value="#{testInstanceManager.selectedWebServiceConfiguration.configuration.host.ip}"></h:outputText>
									</s:decorate>
								</s:div>
							</rich:tab>
						</rich:tabPanel>
					</s:div> <br /></td>
			</tr>
		</table>
	</rich:panel>
</ui:composition>
